Bug 1965324 (CVE-2021-20718) - CVE-2021-20718 mod_auth_openidc: DoS in oidc_util_read_post_params() in util.c
Summary: CVE-2021-20718 mod_auth_openidc: DoS in oidc_util_read_post_params() in util.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-20718
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1965325
Blocks: 1960507
TreeView+ depends on / blocked
 
Reported: 2021-05-27 12:58 UTC by gkamathe
Modified: 2021-06-01 11:35 UTC (History)
4 users (show)

Fixed In Version: mod_auth_openidc-2.4.8.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-01 11:35:00 UTC


Attachments (Terms of Use)

Description gkamathe 2021-05-27 12:58:08 UTC
A vulnerability was found in mod_auth_openidc provided by ZmartZone which is an OpenID Connect's Relying Party module for Apache HTTP Server. This module contains a denial-of-service (DoS) vulnerability.

References:
https://github.com/zmartzone/mod_auth_openidc/releases/tag/v2.4.8.1
https://jvn.jp/en/jp/JVN49704918/index.html

Comment 1 gkamathe 2021-05-27 12:58:50 UTC
Created mod_auth_openidc tracking bugs for this issue:

Affects: fedora-all [bug 1965325]


Note You need to log in before you can comment on or make changes to this bug.